## funcparserlib 0.3.5

=== dot/Makefile ===
DOTS = $(wildcard *.dot)
PNGS = $(patsubst %.dot,%.png,$(DOTS))
.PHONY = test png all clean

test:
	../run-tests

all: png test

png: $(PNGS)

%.png: %.dot
	dot -Tpng $< -o $@

clean:
	rm -f $(PNGS)

=== json/Makefile ===
.PHONY = test

test:
	../run-tests

## funcparserlib 0.3.6

=== debian/changelog ===
funcparserlib (0.3.6-7) unstable; urgency=medium

  * debian/control
    - Standards-Version: Bumps version to 3.9.8.
    - Homepage: Fixes obsolete-url-in-packaging.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 02 Jul 2016 07:01:57 +0900

funcparserlib (0.3.6-6) unstable; urgency=medium

  * Uploading to unstable. 

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 01 Jul 2015 13:38:28 +0900

funcparserlib (0.3.6-5) experimental; urgency=medium

  * debian/watch
    - Changed uri by pypi.debian.net.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 18 Apr 2015 19:02:55 +0900

funcparserlib (0.3.6-4) unstable; urgency=medium

  * debian/watch
    - Fixed uri scheme http:// to https://.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 16 Oct 2014 22:05:09 +0900

funcparserlib (0.3.6-3) unstable; urgency=medium

  * debian/control
    - Standards-Version: Bump version to 3.9.6. 
    - Build-Depends: Appended dh-python.
    - X-Python-Version: Removed >=3.2.
    - Added X-Python3-Version: >=3.2.
  * debian/copyright
    - Fixed space-in-std-shortname-in-dep5-copyright. 
  * debian/rules
    - Changed using pybuild.
    - Removed override_dh_auto_build, override_dh_auto_test,
      override_dh_auto_install, override_dh_auto_clean.
  * debian/patches
    - Removed update_egg-info.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 15 Oct 2014 10:03:30 +0900

funcparserlib (0.3.6-2) unstable; urgency=low

  * Fixes wrong-name-for-upstream-changelog 
    - debian/rules: Append override_dh_installchangelogs
    - debian/docs: Remove CHANGES

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 02 Jul 2013 09:46:04 +0900

funcparserlib (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Support python3

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 08 Jun 2013 08:25:21 +0900

funcparserlib (0.3.5-2) unstable; urgency=low

  * Update Standards-Version in debian/control 

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 05 Jun 2012 09:14:05 +0900

funcparserlib (0.3.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
    Acked by Maintainer.
  * Fixes FTBFS on python 2.7. (Closes: #646645)
    Update the data of the test result from upsream HG:788599d92a85.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 02 Mar 2012 13:58:34 +0900

funcparserlib (0.3.5-1) unstable; urgency=low

  * Initial release (Closes: #626705)

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sun, 18 Sep 2011 07:43:30 +0900

=== debian/control ===
Source: funcparserlib
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-nose,
               python3-nose
Standards-Version: 3.9.8
Section: python
X-Python-Version: 2.7
X-Python3-Version: >=3.2
Homepage: https://github.com/vlasovskikh/funcparserlib

Package: python-funcparserlib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Recursive descent parsing library based on functional combinators
 Parser combinators are just higher-order functions that take parsers as
 their arguments and return them as result values. Parser combinators are:
 .
 First-class values. Extremely composable. Tend to make the code quite compact.
 Resemble the readable notation of xBNF grammars.
 .
 Parsers made with funcparserlib are pure-Python LL(*) parsers. It means that
 it's very easy to write them without thinking about look-aheads and all that
 hardcore parsing stuff. But the recursive descent parsing is a rather slow
 method compared to LL(k) or LR(k) algorithms.
 .
 So the primary domain for funcparserlib is parsing little languages or external
 DSLs (domain specific languages).
 .
 The library itself is very small. Its source code is only 0.5 KLOC, with lots
 of comments included. It features the longest parsed prefix error reporting,
 as well as a tiny lexer generator for token position tracking.

Package: python3-funcparserlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Recursive descent parsing library for python3
 For python3.
 Parser combinators are just higher-order functions that take parsers as
 their arguments and return them as result values. Parser combinators are:
 .
 First-class values. Extremely composable. Tend to make the code quite compact.
 Resemble the readable notation of xBNF grammars.
 .
 Parsers made with funcparserlib are pure-Python LL(*) parsers. It means that
 it's very easy to write them without thinking about look-aheads and all that
 hardcore parsing stuff. But the recursive descent parsing is a rather slow
 method compared to LL(k) or LR(k) algorithms.
 .
 So the primary domain for funcparserlib is parsing little languages or external
 DSLs (domain specific languages).
 .
 The library itself is very small. Its source code is only 0.5 KLOC, with lots
 of comments included. It features the longest parsed prefix error reporting,
 as well as a tiny lexer generator for token position tracking.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=funcparserlib
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/funcparserlib/funcparserlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## funcparserlib 0.3.6%2Bdfsg1

=== debian/control ===
Source: funcparserlib
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-nose
Standards-Version: 4.5.1
Section: python
Homepage: https://github.com/vlasovskikh/funcparserlib

Package: python3-funcparserlib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Recursive descent parsing library for python3
 For python3.
 Parser combinators are just higher-order functions that take parsers as
 their arguments and return them as result values. Parser combinators are:
 .
 First-class values. Extremely composable. Tend to make the code quite compact.
 Resemble the readable notation of xBNF grammars.
 .
 Parsers made with funcparserlib are pure-Python LL(*) parsers. It means that
 it's very easy to write them without thinking about look-aheads and all that
 hardcore parsing stuff. But the recursive descent parsing is a rather slow
 method compared to LL(k) or LR(k) algorithms.
 .
 So the primary domain for funcparserlib is parsing little languages or external
 DSLs (domain specific languages).
 .
 The library itself is very small. Its source code is only 0.5 KLOC, with lots
 of comments included. It features the longest parsed prefix error reporting,
 as well as a tiny lexer generator for token position tracking.

## funcparserlib 0.3.6+dfsg1

=== doc/Makefile ===
test: test-tutorial test-brackets

test-tutorial:
	python -c 'import doctest; doctest.testfile("Tutorial.md")'

test-brackets:
	python -c 'import doctest; doctest.testfile("Brackets.md")'

=== debian/changelog ===
funcparserlib (0.3.6+dfsg1-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:03:12 +0000

funcparserlib (0.3.6+dfsg1-1) unstable; urgency=medium

  * Remove DFSG incompatible file (Closes: #982380).
  * debian/control
    - Bumps Standards-Version to 4.5.1.
    - Build-Depends
      * Changes debhelper to debhelper-compat.
        - Removes debian/compat
  * debian/copyright
    - Appends Files-Excluded dfsg-incompatible documentation files
    - Fixes insercure-uri.
  * debian/watch
    - Fixes debian-watch-uses-insecure-uri.
    - Bumps version to 4.
    - Appends dversionmangle, repacksuffix.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 13 Feb 2021 13:47:32 +0900

funcparserlib (0.3.6-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936569

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Oct 2019 18:10:51 -0400

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pypi.debian.net/funcparserlib/funcparserlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## funcparserlib 1.0.0

=== debian/changelog ===
funcparserlib (1.0.0-1) unstable; urgency=medium

  * Add myself as uploader
  * Import on Salsa & add debian/salsa-ci.yml
  * Use dh-sequence-python3
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rename file under debian/ for debhelper 15 compatibility
  * Drop useless funcparserlib1.dirs
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Fri, 27 Feb 2026 12:51:40 +0100

funcparserlib (1.0.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove python3-nose as BD. Closes: #1018360

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 04 Dec 2022 18:40:13 +0100

funcparserlib (1.0.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    - Support Python 3 without 2to3. Closes: #997623
  * Drop update-egg-info.patch, no longer needed.
  * Continue to include the renamed file README.md.
  * d/rules: Remove installation of upstream changelog, upstream no longer
    ships any changelog.
  * d/copyright:
    - Drop Files-Excluded, these files are no longer shipped.
    - Update the copyright year for upstream.
  * d/watch
    - Remove dversionmangle and repacksuffix.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Mon, 15 Aug 2022 20:47:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: funcparserlib
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all,
-               python3-setuptools,
-               python3-nose
-Standards-Version: 4.5.1
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Kouhei Maeda <mkouhei@palmtb.net>,
+ Alexandre Detiste <tchet@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-setuptools,
+Standards-Version: 4.7.3
 Section: python
 Homepage: https://github.com/vlasovskikh/funcparserlib
+Vcs-Browser: https://salsa.debian.org/python-team/packages/funcparserlib
+Vcs-Git: https://salsa.debian.org/python-team/packages/funcparserlib.git
 
 Package: python3-funcparserlib
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Recursive descent parsing library for python3
  For python3.
  Parser combinators are just higher-order functions that take parsers as

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=funcparserlib

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Pypi
Dist: funcparserlib

## funcparserlib 1.0.0.1

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=funcparserlib
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

## funcparserlib 2.0.0a0

=== debian/changelog ===
funcparserlib (2.0.0a0-1) unstable; urgency=medium

  * New upstream version 2.0.0a0
  * Switch to pybuild-plugin-pyproject & python3-poetry-core.
  * Add debian/upstream/metadata

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Mar 2026 12:31:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-poetry-core,
 Standards-Version: 4.7.3
 Section: python
 Homepage: https://github.com/vlasovskikh/funcparserlib

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=funcparserlib

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	rm -f tests

execute_before_dh_auto_build:
	ln -sf debian/tests

=== debian/watch ===
Version: 5

Template: GitHub
Owner: vlasovskikh
Project: funcparserlib
